---
title: "Retrieve AP Open Periods By Code"
slug: "retrieve-ap-open-periods-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-ap-open-periods-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve AP Open Periods By Code

Get/ap-rest-api/rest/1/openperiods/

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- OpenPeriodFinder

#### Open Period Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCodeVar | Company Code | 001 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleOpenPeriodFinder;CompCodeVar=001
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleJcctrlCurrYr:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='ca2ff309-8854-4b6e-b569-1d03236d9af2'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='08d66f6b-2bb2-4d9c-b565-c55ac4809c84'>example-0</option>
<option value='d6c4107e-b879-4ab8-b5de-f8ada95402c3'>example-1</option>
</select>example-0

Successful Response - FInder - OpenPeriodFinder

```json
{
  "items": [
    {
      "JcctrlCurrYr": 2018,
      "JcctrlCurrPer": 9,
      "JcctrlFuturePostFlag": "Y",
      "JcctrlCompCode": "001",
      "ApctrlCurrYr": 2018,
      "ApctrlCurrPer": 9,
      "ApctrlFuturePostFlag": "Y",
      "ApctrlCompCode": "001",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods",
      "name": "openperiods",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response - FInder - OpenPeriodFinder

```json
{
  "items": [
    {
      "JcctrlCurrYr": 2018,
      "JcctrlCurrPer": 9,
      "JcctrlFuturePostFlag": "Y",
      "JcctrlCompCode": "001",
      "ApctrlCurrYr": 2018,
      "ApctrlCurrPer": 9,
      "ApctrlFuturePostFlag": "Y",
      "ApctrlCompCode": "001",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods/0000",
          "name": "openperiods",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/openperiods",
      "name": "openperiods",
      "kind": "collection"
    }
  ]
}
```

object
